## Apache Zeta Components Manual :: Docs For Class ezcTestRunner

### UnitTest::ezcTestRunner

### Class ezcTestRunner

Test runner to run the Zeta Components test suite(s).

Source for this file: /UnitTest/src/test/runner.php

    PHPUnit_TextUI_Command
       |
       --ezcTestRunner

Version: | //autogentag//

### Constants

`SUITE_FILENAME = 'tests/suite.php'` |

### Member Variables

protected mixed | `$arguments = array( 'backupStaticAttributes' => false, 'convertErrorsToExceptions' => true, 'convertNoticesToExceptions' => false, 'convertWarningsToExceptions' => false, 'listGroups' => false, 'loader' => null, 'useDefaultConfiguration' => true )`
protected mixed | `$release = 'trunk'`

### Method Summary

public ezcTestRunner | `__construct( )`
protected void | `getPackages( $directory )`
protected void | `getTestSuite( $directory , $package )`
protected void | `handleCustomTestSuite( )`
protected void | `handleDsn( $value )`
protected void | `handleRelease( $value )`
protected void | `isPackageDir( $directory )`

### Methods

#### __construct

ezcTestRunner __construct( )

#### getPackages

void getPackages( $directory )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$directory` |  |

#### getTestSuite

void getTestSuite( $directory , $package )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$directory` |  |
`$package` |  |

#### handleCustomTestSuite

void handleCustomTestSuite( )

#### handleDsn

void handleDsn( $value )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` |  |

#### handleRelease

void handleRelease( $value )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` |  |

#### isPackageDir

void isPackageDir( $directory )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$directory` |  |

Documentation generated by phpDocumentor 1.4.3